Package com.documentum.fc.client

# Interface IDfTypeInfo

public interface IDfTypeInfo

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getDefaultAspects()`
  Returns a set of name of the default aspects specified in this type and all of its supertypes.
  `IDfId`
  `getDefaultStorageId()`
  `boolean`
  `hasFullTextOnlyFtIndexAttrs()`
  `boolean`
  `hasFullTextSupportBase()`
  `boolean`
  `hasFullTextSupportLite()`
  `boolean`
  `hasPropertyBag()`
  `boolean`
  `isAttrFullTextIndexed(String attrName)`
  `boolean`
  `isAutoMaterializationAllowed()`
  `boolean`
  `isFetchOptimizedAspectType()`
  `boolean`
  `isMaterializationAllowed()`

- ## Method Details

  - ### isAttrFullTextIndexed

    boolean isAttrFullTextIndexed(String attrName) throws DfException
    Throws:
      `DfException`

  - ### isFetchOptimizedAspectType

    boolean isFetchOptimizedAspectType() throws DfException
    Throws:
      `DfException`

  - ### isMaterializationAllowed

    boolean isMaterializationAllowed() throws DfException
    Throws:
      `DfException`

  - ### isAutoMaterializationAllowed

    boolean isAutoMaterializationAllowed() throws DfException
    Throws:
      `DfException`

  - ### hasFullTextSupportLite

    boolean hasFullTextSupportLite() throws DfException
    Throws:
      `DfException`

  - ### hasFullTextSupportBase

    boolean hasFullTextSupportBase() throws DfException
    Throws:
      `DfException`

  - ### hasFullTextOnlyFtIndexAttrs

    boolean hasFullTextOnlyFtIndexAttrs() throws DfException
    Throws:
      `DfException`

  - ### hasPropertyBag

    boolean hasPropertyBag() throws DfException
    Throws:
      `DfException`

  - ### getDefaultAspects

    Set<String> getDefaultAspects() throws DfException
    Returns a set of name of the default aspects specified in this type and all of its supertypes. An empty list will be returned if none is specified.
    Returns:
      Set of default aspects
    Throws:
      `DfException`

  - ### getDefaultStorageId

    IDfId getDefaultStorageId() throws DfException
    Throws:
      `DfException`